package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.PlatformServeDetail;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * @author hgw
 * Created by 2021-12-03
 */
public class PlatformServeDto implements Serializable {
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Integer id;

    /**
     * 服务名称
     */
    @NotBlank(message = "服务名称不能为空!")
    @Size(max = 20, message = "服务名称长度不能超过20!")
    @ApiModelProperty(value = "服务名称")
    private String name;

    /**
     * 产品id多个用逗号分割
     */
    @ApiModelProperty(value = "产品id多个用逗号分割")
    private String productId;

    @ApiModelProperty(value = "服务明细")
    private List<PlatformServeDetail> detailList;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public List<PlatformServeDetail> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<PlatformServeDetail> detailList) {
        this.detailList = detailList;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
}
